Re: loop-AES and Suse 11.1

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]



Paul Hilton wrote:
> I cannot get loop-AES (3.2e) to work with Suse 11.1 (Linux-2.6.27.7-9)
> 
> <linux/bio.h> seems to have a non kernel.org structure for bio, which
> doesn't contain bi_hw_front_size (or any other bi_hw _* members).
> so loop.c won't compile.

My guess is that Suse included some 2.6.28-rc patches in their kernel. Those
bi_hw_* vanished in mainline 2.6.28-rc.

I tried to look at kernel-source-2.6.27.7-9.1.i586.rpm, which I found at
http://download.opensuse.org/distribution/11.1/repo/oss/suse/i586/ , but the
rpm version that came with the distro that I am using refuses to install it.
I see this error message:

error: unpacking of archive failed: cpio: Bad magic

As of this writing, I still haven't seen what is inside the .rpm file, and I
don't know what version of rpm will open it. :(

Can you, or someone else, post a bzip2 compressed diff of kernel.org
2.6.27.7 -> Suse 2.6.27.7-9 in some place? It is faster that way, as I don't
plan to sort out the rpm mess today.

> Is this something I can easily fix?

Loop code in loop-AES-v3.2e adapts to different bio struct on 2.6.28 kernel
and later. What happens if you change those version dependent #if statements
to enable the new code on 2.6.27 kernel? You can do this by changing 0x2061c
constants to 0x2061b . Something like this:

    sed -i -e 's/0x2061c/0x2061b/' loop.c-2.6.patched

But that is likely to fail, because 2.6.27 -> 2.6.28 changes involved other
changes to block layer interfaces.

-- 
Jari Ruusu  1024R/3A220F51 5B 4B F9 BB D3 3F 52 E9  DB 1D EB E3 24 0E A9 DD

-
Linux-crypto:  cryptography in and on the Linux system
Archive:       http://mail.nl.linux.org/linux-crypto/


[Index of Archives]     [Kernel]     [Linux Crypto]     [Gnu Crypto]     [Gnu Classpath]     [Netfilter]     [Bugtraq]